Get skill proficiency ratings
Skills
Get skill proficiency ratings
Get skill proficiency ratings
GET
Get skill proficiency ratings
Retrieve skill proficiency ratings on employees. Each row is one rating, differentiated by
rating_source – the same employee and skill can have several rows (e.g. a SELF and an EXTERNAL rating).Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of remote IDs.
Filter by a comma-separated list of employee IDs.
Filter by a comma-separated list of skill IDs.
Response
GET /hris/skill-proficiency-ratings Positive response
Allowed value:
"success"Example:
{
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "8AvRLpxwY5J6pGxfY6fUD81Z",
"remote_id": "238476582-99123",
"employee_id": "26vafvWSRmbhNcxJYqjCzuJg",
"skill_id": "28KMdr68N8kG9EzLwjsN9aoz",
"proficiency": {
"type": "SINGLE_SELECT",
"options": [
{
"id": "3aKMdr68N8kG9EzLwjsN1",
"remote_id": "1",
"name": "Proficiency Level 1"
},
{
"id": "3aKMdr68N8kG9EzLwjsN2",
"remote_id": "2",
"name": "Proficiency Level 2"
},
{
"id": "3aKMdr68N8kG9EzLwjsN3",
"remote_id": "3",
"name": "Proficiency Level 3"
},
{
"id": "3aKMdr68N8kG9EzLwjsN4",
"remote_id": "4",
"name": "Proficiency Level 4"
},
{
"id": "3aKMdr68N8kG9EzLwjsN5",
"remote_id": "5",
"name": "Proficiency Level 5"
}
],
"selected_option_id": "3aKMdr68N8kG9EzLwjsN4"
},
"rating_source": "EXTERNAL",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}
]
}